Debian Bug report logs - #609388
Unsuccessful installation with squeeze beta2 installer and Realtek RTL8111DL

version graph

Package: linux-2.6; Maintainer for linux-2.6 is Debian Kernel Team <debian-kernel@lists.debian.org>;

Reported by: <ConradS@MIT.EDU>

Date: Sun, 9 Jan 2011 03:45:01 UTC

Severity: normal

Tags: moreinfo

Merged with 558316, 603673, 610561

Found in version 2.6.32-29

Fixed in version 2.6.32-30

Done: Moritz Mühlenhoff <jmm@inutil.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#609388; Package installation-reports. (Sun, 09 Jan 2011 03:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to <ConradS@MIT.EDU>:
New Bug report received and forwarded. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. (Sun, 09 Jan 2011 03:45:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Stephen Conrad" <ConradS@MIT.EDU>
To: <submit@bugs.debian.org>
Subject: Unsuccessful installation with squeeze beta2 installer and Realtek RTL8111DL
Date: Sat, 8 Jan 2011 22:40:00 -0500
Package: installation-reports

Boot method: CD
Image version:
http://cdimage.debian.org/cdimage/squeeze_di_beta2/amd64/iso-cd/debian-squee
ze-di-beta2-amd64-businesscard.iso

http://cdimage.debian.org/cdimage/squeeze_di_beta2/amd64/iso-cd/debian-squee
ze-di-beta2-amd64-netinst.iso
Date: 2011-01-08 22:00

Machine: MSI 890GXM-G65
Processor: AMD Phenom II X6 1075T
Memory: 8GB DDR3-1333
Partitions:
Networking: Realtek RTL8111DL (integrated, wired)

Output of lspci -knn (or lspci -nn):

Base System Installation Checklist:
[O] = OK, [E] = Error (please elaborate below), [ ] = didn't try it

Initial boot:           [O]
Detect network card:    [E]
Configure network:      [ ]
Detect CD:              [ ]
Load installer modules: [ ]
Detect hard drives:     [ ]
Partition hard drives:  [ ]
Install base system:    [ ]
Clock/timezone setup:   [ ]
User/password setup:    [ ]
Install tasks:          [ ]
Install boot loader:    [ ]
Overall install:        [ ]

Comments/Problems:

Both of the above mentioned disks successfully boot and the installer
progresses until it presents an error requesting that "rtl8168d-1.fw" and
"rtl8168d-2.fw" be provided via removable media.  Neither files exist in
firmware-nonfree_0.27.tar.gz (squeeze / testing) and the files in
firmware-nonfree_0.28.tar.gz (sid / unstable) pacify the installer, but do
not result in a functional network card, causing the installer to throw
errors when DHPC configuration is attempted.

Both the network card and the cabling are known good.  I have been booting
live CDs for various other distros for the past week and successfully
surfing the web.


SDC





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#609388; Package installation-reports. (Sun, 09 Jan 2011 10:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Herbert Kaminski <herbert.kaminski@gmx.de>:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. (Sun, 09 Jan 2011 10:21:03 GMT) Full text and rfc822 format available.

Message #10 received at 609388@bugs.debian.org (full text, mbox):

From: Herbert Kaminski <herbert.kaminski@gmx.de>
To: ConradS@MIT.EDU, 609388@bugs.debian.org
Subject: Re: Bug#609388: Unsuccessful installation with squeeze beta2 installer and Realtek RTL8111DL
Date: Sun, 09 Jan 2011 11:17:03 +0100
Stephen Conrad schrieb:

> Networking: Realtek RTL8111DL (integrated, wired)
...
> ...installer...requesting that "rtl8168d-1.fw" and "rtl8168d-2.fw"
> be provided

I have successfully run several installation tests on a similar
board with the RTL8111 chip onboard:

output of lspci -nn:
02:00.0 Ethernet controller [0200]: Realtek Semiconductor Co., Ltd. RTL8111/8168B PCI Express Gigabit Ethernet controller [10ec:8168] (rev 02)

without the installer requesting any firmware files. Looks like
there are different versions of that chip. Maybe...
> Output of lspci -knn (or lspci -nn):
...shows the difference?

cu
  Herbert

-- 




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#609388; Package installation-reports. (Sun, 09 Jan 2011 18:57:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to <ConradS@MIT.EDU>:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. (Sun, 09 Jan 2011 18:57:06 GMT) Full text and rfc822 format available.

Message #15 received at 609388@bugs.debian.org (full text, mbox):

From: "Stephen Conrad" <ConradS@MIT.EDU>
To: "Herbert Kaminski" <herbert.kaminski@gmx.de>, <609388@bugs.debian.org>
Subject: RE: Bug#609388: Unsuccessful installation with squeeze beta2 installer and Realtek RTL8111DL
Date: Sun, 9 Jan 2011 13:54:59 -0500
Herbert,

As an update I tried the full install CD image
(debian-squeeze-di-beta2-amd64-CD-1.iso) and had the same result.  The
systems boots, and the installer starts, but I soon get requests for
"rtl8168d-1.fw" and "rtl8168d-2.fw".

I have installed Lenny 5.0.4 i386 from a CD I had laying around and it did
not request for any firmware files.  Networking is functional under the
32bit Lenny install, but getting 64bit Squeeze running is my goal.

Here is the output for: lspci -nn
02:00.0 Ethernet controller [0200]: Realtek Semiconductor Co., Ltd.
RTL8111/8168B PCI Express Gigabit Ethernet controller [10ec:8168] (rev 03)

Thanks,
Stephen





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#609388; Package installation-reports. (Sun, 09 Jan 2011 19:06:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to <ConradS@MIT.EDU>:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. (Sun, 09 Jan 2011 19:06:05 GMT) Full text and rfc822 format available.

Message #20 received at 609388@bugs.debian.org (full text, mbox):

From: "Stephen Conrad" <ConradS@MIT.EDU>
To: "Herbert Kaminski" <herbert.kaminski@gmx.de>, <609388@bugs.debian.org>
Subject: RE: Bug#609388: Unsuccessful installation with squeeze beta2 installer and Realtek RTL8111DL
Date: Sun, 9 Jan 2011 14:03:14 -0500
Forgot to include that (under my working lenny install) lspci -knn gives the
following:

02:00.0 Ethernet controller [0200]: Realtek Semiconductor Co., Ltd.
RTL8111/8168B PCI Express Gigabit Ethernet controller [10ec:8168] (rev 03)
	Kernel driver in use: r8169
	Kernel modules: r8169

Stephen





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#609388; Package installation-reports. (Sun, 09 Jan 2011 19:15:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Miguel Figueiredo <elmig@debianpt.org>:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. (Sun, 09 Jan 2011 19:15:07 GMT) Full text and rfc822 format available.

Message #25 received at 609388@bugs.debian.org (full text, mbox):

From: Miguel Figueiredo <elmig@debianpt.org>
To: ConradS@MIT.EDU, 609388@bugs.debian.org
Subject: Re: Bug#609388: Unsuccessful installation with squeeze beta2 installer and Realtek RTL8111DL
Date: Sun, 09 Jan 2011 19:14:00 +0000
Dom, 2011-01-09 às 13:54 -0500, Stephen Conrad escreveu:
> Herbert,
> 
> As an update I tried the full install CD image
> (debian-squeeze-di-beta2-amd64-CD-1.iso) and had the same result.  The
> systems boots, and the installer starts, but I soon get requests for
> "rtl8168d-1.fw" and "rtl8168d-2.fw".

Such firmware files is provided by the package firmware-realtek which is
not distributed with the installer as it's non-free.
The installer supports loading external firmware, it is covered in the
installation manual [1].

[...]

1 - http://d-i.alioth.debian.org/manual/en.amd64/ch02s02.html


-- 
Melhores cumprimentos/Best regards,

Miguel Figueiredo
http://www.DebianPT.org





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#609388; Package installation-reports. (Sun, 09 Jan 2011 19:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to <ConradS@MIT.EDU>:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. (Sun, 09 Jan 2011 19:45:03 GMT) Full text and rfc822 format available.

Message #30 received at 609388@bugs.debian.org (full text, mbox):

From: "Stephen Conrad" <ConradS@MIT.EDU>
To: "Miguel Figueiredo" <elmig@debianpt.org>, <609388@bugs.debian.org>
Subject: RE: Bug#609388: Unsuccessful installation with squeeze beta2 installer and Realtek RTL8111DL
Date: Sun, 9 Jan 2011 14:43:00 -0500
[Message part 1 (text/plain, inline)]
Miguel

I am familiar with the manual, however the source package downloadable from
http://packages.debian.org/squeeze/firmware-realtek is
http://ftp.de.debian.org/debian/pool/non-free/f/firmware-nonfree/firmware-no
nfree_0.27.tar.gz which, as you can se from my original report, does not
contain either of the requested .fw files.

[winmail.dat (application/ms-tnef, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#609388; Package installation-reports. (Sun, 09 Jan 2011 20:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Miguel Figueiredo <elmig@debianpt.org>:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. (Sun, 09 Jan 2011 20:09:03 GMT) Full text and rfc822 format available.

Message #35 received at 609388@bugs.debian.org (full text, mbox):

From: Miguel Figueiredo <elmig@debianpt.org>
To: ConradS@MIT.EDU, 609388@bugs.debian.org
Subject: Re: Bug#609388: Unsuccessful installation with squeeze beta2 installer and Realtek RTL8111DL
Date: Sun, 09 Jan 2011 20:07:12 +0000
Hi,

Dom, 2011-01-09 às 14:43 -0500, Stephen Conrad escreveu:
> Miguel
> 
> I am familiar with the manual, however the source package downloadable from
> http://packages.debian.org/squeeze/firmware-realtek is
> http://ftp.de.debian.org/debian/pool/non-free/f/firmware-nonfree/firmware-no
> nfree_0.27.tar.gz which, as you can se from my original report, does not
> contain either of the requested .fw files.
> 

The files are only available in version 0.28, in sid.
source: http://packages.debian.org/sid/all/firmware-realtek/filelist

-- 
Melhores cumprimentos/Best regards,

Miguel Figueiredo
http://www.DebianPT.org





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#609388; Package installation-reports. (Sun, 09 Jan 2011 20:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to <ConradS@MIT.EDU>:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. (Sun, 09 Jan 2011 20:33:03 GMT) Full text and rfc822 format available.

Message #40 received at 609388@bugs.debian.org (full text, mbox):

From: "Stephen Conrad" <ConradS@MIT.EDU>
To: <609388@bugs.debian.org>
Cc: "Herbert Kaminski" <herbert.kaminski@gmx.de>, "Miguel Figueiredo" <elmig@debianpt.org>
Subject: Bug#609388: Unsuccessful installation with squeeze beta2 installer and Realtek RTL8111DL
Date: Sun, 9 Jan 2011 15:28:14 -0500
Update:

Since the installation manual section 6.4
http://d-i.alioth.debian.org/manual/en.amd64/ch06s04.html
does mention "loose firmware files or packages containing firmware",
I attempted to provide .deb packages to the installer in place of the
requested rtl8168d-1.fw file

In each case below I ran the debian-squeeze-di-beta2-amd64-netinst.iso
installer.

With the following (squeeze) packages on a USB drive the installer was
unable to locate the rtl8168d-1.fw file.
	firmware-linux_0.27_all.deb
	firmware-linux-nonfree_0.27_all.deb
	firmware-realtek_0.27_all.deb

With the following (sid) packages on a USB drive the installer was unable to
locate the rtl8168d-1.fw file.
	firmware-linux_0.28_all.deb
	firmware-linux-nonfree_0.28_all.deb
	firmware-realtek_0.28_all.deb

As stated in my original post "rtl8168d-1.fw" does not exist in the
"firmware-nonfree_0.27.tar.gz" source and providing the copy from the
"firmware-nonfree_0.28.tar.gz" source satisfies the installer, but the
network card does not function (network auto configuration fails, etc.).

Stephen





Merged 603673 609388. Request was from Miguel Figueiredo <elmig@debianpt.org> to control@bugs.debian.org. (Sun, 09 Jan 2011 22:36:11 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#609388; Package installation-reports. (Tue, 11 Jan 2011 05:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to <ConradS@MIT.EDU>:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. (Tue, 11 Jan 2011 05:57:04 GMT) Full text and rfc822 format available.

Message #47 received at 609388@bugs.debian.org (full text, mbox):

From: "Stephen Conrad" <ConradS@MIT.EDU>
To: <603673@bugs.debian.org>, <609388@bugs.debian.org>
Subject: Workaround
Date: Tue, 11 Jan 2011 00:52:07 -0500
I have found a workaround.  It seems that while the Squeeze installer cannot
seem to utilize the RTL8111, the resulting installation does not have the
problem.

I executed the following steps:
1) Installed an old 10/100 PCI network card I had lying around
2) Booted from netinstall CD:
http://cdimage.debian.org/cdimage/squeeze_di_beta2/amd64/iso-cd/debian-squee
ze-di-beta2-amd64-netinst.iso
3) Ignored requests for "rtl8168d-1.fw"
4) Selected the old network card for use during installation
5) After installation and reboot both cards were fully functional
immediately, no non-free sources were required
6) Removed old 10/100 card from my system and "hey presto" I have a Squeeze
install.

Here is the relevant line from "lspci -knn" output of the final setup:
02:00.0 Ethernet controller [0200]: Realtek Semiconductor Co., Ltd.
RTL8111/8168B PCI Express Gigabit Ethernet controller [10ec:8168] (rev 03)
	Subsystem: Micro-Star International Co., Ltd. Device [1462:7642]
	Kernel driver in use: r8169

I would be willing to boot the install CD and do any diagnostic tests that
may help the developers track this one down.

Regards,
Stephen





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#609388; Package installation-reports. (Tue, 11 Jan 2011 08:33:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to 603673@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. (Tue, 11 Jan 2011 08:33:09 GMT) Full text and rfc822 format available.

Message #52 received at 609388@bugs.debian.org (full text, mbox):

From: Matthew Palmer <mpalmer@debian.org>
To: ConradS@MIT.EDU
Cc: 603673@bugs.debian.org, 609388@bugs.debian.org
Subject: Re: Bug#603673: Workaround
Date: Tue, 11 Jan 2011 19:31:34 +1100
On Tue, Jan 11, 2011 at 12:52:07AM -0500, Stephen Conrad wrote:
> I have found a workaround.  It seems that while the Squeeze installer cannot
> seem to utilize the RTL8111, the resulting installation does not have the
> problem.
> 
> I executed the following steps:
> 1) Installed an old 10/100 PCI network card I had lying around
> 2) Booted from netinstall CD:
> http://cdimage.debian.org/cdimage/squeeze_di_beta2/amd64/iso-cd/debian-squee
> ze-di-beta2-amd64-netinst.iso
> 3) Ignored requests for "rtl8168d-1.fw"
> 4) Selected the old network card for use during installation
> 5) After installation and reboot both cards were fully functional
> immediately, no non-free sources were required
> 6) Removed old 10/100 card from my system and "hey presto" I have a Squeeze
> install.

That's interesting... does the kernel request any firmware when you boot
with just the RTL8111, and if so, what firmware file does it load?  Which
package provides that firmware file?

- Matt




Merged 603673 609388 610561. Request was from Miguel Figueiredo <elmig@debianpt.org> to control@bugs.debian.org. (Wed, 19 Jan 2011 22:39:06 GMT) Full text and rfc822 format available.

Bug reassigned from package 'installation-reports' to 'linux-2.6'. Request was from Miguel Figueiredo <elmig@debianpt.org> to control@bugs.debian.org. (Fri, 21 Jan 2011 01:06:03 GMT) Full text and rfc822 format available.

Forcibly Merged 558316 603673 609388 610561. Request was from Miguel Figueiredo <elmig@debianpt.org> to control@bugs.debian.org. (Fri, 21 Jan 2011 01:06:07 GMT) Full text and rfc822 format available.

Bug Marked as found in versions 2.6.32-29. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Sun, 23 Jan 2011 04:33:16 GMT) Full text and rfc822 format available.

Bug Marked as fixed in versions 2.6.32-30. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Sun, 23 Jan 2011 04:33:19 GMT) Full text and rfc822 format available.

Message #63 received at 558316-done@bugs.debian.org (full text, mbox):

From: Moritz Mühlenhoff <jmm@inutil.org>
To: 549185-done@bugs.debian.org, 558316-done@bugs.debian.org, 560425-done@bugs.debian.org, 560719-done@bugs.debian.org
Subject: Closing
Date: Tue, 2 Jul 2013 22:28:50 +0200
Hi,
your bug has been filed against the "linux-2.6" source package and was filed for
a kernel older than the recently released Debian 7.x / Wheezy with a severity
less than important.

We don't have the ressources to reproduce the complete backlog of all older kernel
bugs, so we're closing this bug for now. If you can reproduce the bug with Debian Wheezy
or a more recent kernel from testing or unstable, please reopen the bug by sending
a mail to control@bugs.debian.org with the following three commands included in the
mail:

reopen BUGNUMBER
reassign BUGNUMBER src:linux
thanks

Cheers,
        Moritz



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 31 Jul 2013 07:27:54 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 05:57:49 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.